Mise à jour problématique

Bonjour à tous,
j’utilise Jeedom sur un RPI3, et j’étais jusqu’aujourd’hui en jessie.
Ayany acheté une clé ConBee II, qui ne fonctionne qu’avec des versions stretch et +, j’ai fait un upgrade de mon systeme, pour le passer sous stretch
Evidement, le redemarrage ne fonctionne pas comme prévu :slight_smile:

Lorsque j’arrive sur jeedom, j’ai le message qui me dit qu’il se charge encore, et que la page se rafraichira quand il aura fini, sauf qu’il ne fini jamais
j’ai fouillé un peu dans les logs, et vu au travers des différentes erreurs que j’y trouvais, que j’avais besoin d’installer les modules php7.0-curl et php7.0-pdo_mysql
Les erreurs dues à ces modules ont disparu, mais maintenant, je ne vois pas ce qui l’empeche de démarrer!

Ci dessous la santé de mon Jeedom (Zwave est en defaut aussi, mais il dit qu’il est defaut car jeedom n’est pas démarré. Si je le desactive, cela ne change rien au reste…)
sante|690x387

Help, je ne peux plus ouvrir mes volets lol

Bonjour,

Honnêtement je n’ai pas envie de chercher car cela va prendre plus de temps que de réinstaller.
Un upgrade de distribution cause toujours des petit soucis.
Pour un « upgrade » du système, je recommande de:

  • prendre un backup de jeedom
  • écraser ta carte actuel / « flasher » avec nouvelle version de raspbian (as-tu pris stretch ou buster ? Attention aux conséquences des deux choix)
  • reinstall de jeedom
  • restaurer ton backup
  • réinstaller les dépendances de tous les plugins.

Il y en a pour 20/30min en tout et tu récupères quelque chose de propre.

J’ai pris stretch, j’ai bien lu que buster n’etait pas encore supporté…

Par contre, j’ai certains trucs qui marchent, d’autres pas…
genre j’ai des detecteurs de presence fibaro, ils detectent tous la presence, mais certains n’ont pas la temperature.
je peux finalement ouvrir mes volets avec l’appli mobile, et des scenarios, … bref, effectivement, je pense que je vais repasser par une reinstall…
on trouve encore des images stretch compatibles ?

Hello
https://cdimage.debian.org/mirror/cdimage/archive/

Ca c’est pour une debian, il est sur raspberry donc il faut une raspbian
je n’ai plus le lien sous la main mais si je retrouve je post ici

Il est dans la doc d’installation: https://jeedom.github.io/documentation/installation/fr_FR/index#tocAnchor-1-8

1 « J'aime »

Sinon jeedom est compatible buster.
Tu dois juste vérifier que tes plugins sont compatibles v4 (même si tu installes la v3, sous buster/php7.3 la class object ne peut plus être utilisée)

Je suis en jeedom v3.3.39 et pour l’instant j’utilise les plugins : zwave/deconz, virtuel/widget/weather/forecast.io/horlogeHTC/fullyKiosk/surveillanceStation/squeezeboxControl/Alexa/AppMobile/Domogeek.
Mais si j’en profite pour passer en jeedom v4x je vais pouvoire recuperer la sauvegarde de ma configuration ? ou je vais devoir refaire la config / inclusion des modules / scenarios ?
Merci en tout cas pour ces precieuses reponses

Je ne peux pas répondre pour tous les plugins mais j’en vois certain qui pose problème je pense, cherche sur le fourm :wink:

Si on exclu les problèmes des plugins, tu pourrais être sur buster avec une v3 ou une v4, c’est pareil.
Dans tous les cas, tu restaureras d’abord t’as v3 et ensuite tu feras la mise à jour vers la v4.
Aucun soucis pour tous les équipements, scénarios, modules zwave etc

Mais widgets et design à revoir. (en plus du problèmes des plugins donc de toute façon)

J’ai fait la réinstallation sur stretch, et jeedom v4.
Cela semble fonctionner pour l’instant… J’ai encore 2 ou 3 petits soucis de configuration, mais ca devrait se regler rapidement
En tout cas la sauvegarde de v3 a v4 a bien été reprise
Merci pour votre aide